After struggling to reproduce experimental results and reuse artifacts 
from published papers (ML, AI, systems and quantum computing), 
we decided to develop an open-source framework (Collective Knowledge aka CK)
to help the community share any knowledge (data, models, code,  best practices, 
and repetitive and painful tasks) in the form of automated, portable and reusable 
components with a unified Python API (actions), CLI, JSON meta description 
and connectors from C, C++, Fortran, Java and other languages.
See the [online index of shared components](https://ReproIndex.com/components)
from [reproduced papers](https://ReproIndex.com/papers).

Such components can be continuously improved by the community and connected together 
into portable and automated workflows to collaboratively solve real world problems: 

* Use cases with our partners: https://cKnowledge.org/partners
* FOSDEM'19 presentation: https://doi.org/10.5281/zenodo.2556147
* Dashboard with crowd-benchmarking results: https://cKnowledge.org/dashboard
* Reproduced papers with unified workflows: https://ReproIndex.com
* Discussion group: https://groups.google.com/forum/#!forum/collective-knowledge
* Slack channel: https://cKnowledge.org/join-slack
* Development: https://github.com/ctuning/ck

Note that CK is a collaborative project - if some third-party automation modules fail
or miss some functionality (software detection, package installation, benchmarking 
and autotuning workflow, etc), we rely on the community assistance to collaboratively 
improve such reusable components and workflows! 
